/*
 * $Id: InvalidXMLException.java,v 1.1 2003/08/05 09:35:09 znerd Exp $
 */
package org.znerd.xmlenc;

/**
 * Exception thrown when invalid XML is detected.
 *
 * @version $Revision: 1.1 $ $Date: 2003/08/05 09:35:09 $
 * @author Ernst de Haan (<a href="mailto:znerd@FreeBSD.org">znerd@FreeBSD.org</a>)
 *
 * @since xmlenc 0.37
 */
public final class InvalidXMLException extends RuntimeException {

   //-------------------------------------------------------------------------
   // Class fields
   //-------------------------------------------------------------------------

   //-------------------------------------------------------------------------
   // Class functions
   //-------------------------------------------------------------------------

   //-------------------------------------------------------------------------
   // Constructors
   //-------------------------------------------------------------------------

   /**
    * Constructs a new <code>InvalidXMLException</code> with the specified
    * detail message.
    *
    * @param message
    *    the optional detail message, or <code>null</code>.
    */
   public InvalidXMLException(String message) {
      super(message);
   }


   //-------------------------------------------------------------------------
   // Fields
   //-------------------------------------------------------------------------

   //-------------------------------------------------------------------------
   // Methods
   //-------------------------------------------------------------------------
}
